package drawing;

import java.util.ArrayList;

/**
 * Kolejka.
 */

public class Queue {
	/**
	 * Zawarto kolejki.
	 */
	ArrayList data = new ArrayList();
	
	/**
	 * Dodaj obiekt do kolejki.
	 * @param o Obiekt do dodania
	 */
	public void add(Object o){
		data.add(o);
	}
	
	/**
	 * Wyjmij obiekt z kolejki.
	 * @return Wyjty obiekt
	 * @throws NoMoreLeftException
	 */
	public Object poll() throws NoMoreLeftException{
		try {
			return data.remove(0);				
		} catch (IndexOutOfBoundsException e) {
		throw new NoMoreLeftException();			
		}
	}	

}
