package drawingclient;

import java.awt.Dimension;
import java.rmi.Naming;
import java.rmi.RMISecurityManager;

import javax.swing.JApplet;
import javax.swing.JFrame;
import javax.swing.JOptionPane;
import javax.swing.WindowConstants;

import drawingserver.DrawingServer;

/**
 * Klienta w formie appletu.
 *
 */
public class DrawingClientApplet extends JApplet {

	/**
	 * Create the applet
	 */
	public DrawingClientApplet() {
		super();
		//
	}
	
	/**
	 * Inicjalizacja.
	 */
	public void init(){
		try {

			String argv[] = new String[2];
			//argv[0] = "localhost";
			//argv[1] = "8000";
			
			argv[0] = getParameter("host");
			argv[1] = getParameter("port");						
			
			System.setSecurityManager(new RMISecurityManager());
			String dest = "//" + argv[0] + ":" + argv[1] + "/drawingdrawing";
			System.out.println("Connecting to " + dest);

			DrawingServer drawingServer = (DrawingServer)Naming.lookup(dest);
			
			JPanel_DrawingDrawing drawingdrawing = new JPanel_DrawingDrawing();
			getContentPane().add(drawingdrawing);			
            setJMenuBar(drawingdrawing.createJMenuBar());			

			drawingdrawing.setDrawingServer(drawingServer);

		} catch (Exception e) {
			JOptionPane.showMessageDialog(this, "Zdaje sie, ze serwer nie chodzi.", "Error", JOptionPane.ERROR_MESSAGE);
			
			e.printStackTrace();
		}
	}

}
